#include <bits/stdc++.h>

using namespace std;

int main(){
	int n;
	cin>>n;
	int a[n];
	int d[11];
	int ld[11];
	for(int i =0;i<11;i++){d[i]=0;ld[i]=0;}
	for(int i =0;i<n;i++){
		cin>>a[i];
		d[a[i]]++;
		ld[a[i]]=i;
	}
	for(int i =0;i<n;i++){
		d[a[i]]--;
		for(int j =10;j>a[i];j--){
			if(d[j]>0){swap(a[i],a[ld[j]]);goto swapped;}
		}
	}
	swap(a[n-1],a[n-2]);
	swapped:
	for(int i =0; i<n;i++){
		cout<<a[i]<<" ";
	}
	return 0;
}